getc(3)

NAME
getc - get character from stream

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <stdio.h>

int getc(FILE *stream);

DESCRIPTION
getc() is equivalent to fgetc(3), except for the BUGS (see below).

Use fgetc(3) instead.

STANDARDS
C23, POSIX.1-2024.

HISTORY
POSIX.1-2001, C89.

BUGS

  Multiple evaluation
It may be implemented as a macro, and it may evaluate stream more than once.

  Name
The name is inconsistent. It is often confused with getchar(3), as normally <stdio.h> functions without the "f" prefix in their name are variants that use stdin.

SEE ALSO
fgetc(3)